# Interface methods for submodule: AnnulusOperator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NeighborhoodOperatorProxy as _NeighborhoodOperatorProxy


# Interface methods for class: AnnulusOperator
class AnnulusOperatorProxy(_NeighborhoodOperatorProxy):
	def GetNameOfClass(self):
		""""""
		...

	def CreateOperator(self) -> None:
		""""""
		...

	def SetInnerRadius(self, r: float) -> None:
		""""""
		...

	def GetInnerRadius(self) -> float:
		""""""
		...

	def SetThickness(self, t: float) -> None:
		""""""
		...

	def GetThickness(self) -> float:
		""""""
		...

	def SetSpacing(self, s: Sequence[float]) -> None:
		""""""
		...

	def GetSpacing(self) -> Sequence[float]:
		""""""
		...

	def SetNormalize(self, b: bool) -> None:
		""""""
		...

	def GetNormalize(self) -> bool:
		""""""
		...

	def NormalizeOn(self) -> None:
		""""""
		...

	def NormalizeOff(self) -> None:
		""""""
		...

	def SetBrightCenter(self, b: bool) -> None:
		""""""
		...

	def GetBrightCenter(self) -> bool:
		""""""
		...

	def BrightCenterOn(self) -> None:
		""""""
		...

	def BrightCenterOff(self) -> None:
		""""""
		...

	def SetInteriorValue(self, v: float) -> None:
		""""""
		...

	def GetInteriorValue(self) -> float:
		""""""
		...

	def SetAnnulusValue(self, v: float) -> None:
		""""""
		...

	def GetAnnulusValue(self) -> float:
		""""""
		...

	def SetExteriorValue(self, v: float) -> None:
		""""""
		...

	def GetExteriorValue(self) -> float:
		""""""
		...

